Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.cpp.cdt.tasks
[Groovy] Class GenerateMetadataFileTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.ide.api.GeneratorTask
              org.gradle.plugins.cpp.cdt.tasks.GenerateMetadataFileTask

    class GenerateMetadataFileTask
    extends GeneratorTask

Field Summary

Fields inherited from class GeneratorTask
afterConfigured, beforeConfigured, domainObject, generator

Property Summary
`ActionBroadcast` | `configures`
`Factory` | `factory`
`CprojectSettings` | `settings`

Constructor Summary
`GenerateMetadataFileTask()`

Method Summary
`void` | `factory(Closure factory)`
`void` | `onConfigure(Closure configure)`

Methods inherited from class GeneratorTask
getInputFile, getOutputFile, setInputFile, setOutputFile

Property Detail

### configures

    ActionBroadcast configures

### factory

    Factory factory

### settings

    CprojectSettings settings

Constructor Detail

### GenerateMetadataFileTask

    GenerateMetadataFileTask()

Method Detail

### factory

    void factory(Closure factory)

### onConfigure

    void onConfigure(Closure configure)

Gradle API 1.1-rc-1